%define upstream_name    Games-Risk-ExtraMaps-History
%define upstream_version 3.112691

Name:       prisk-maps-history
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A set of historic maps for Games::Risk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Games::Risk::ExtraMaps)
BuildRequires: perl(Games::Risk::Map)
BuildRequires: perl(Locale::Messages)
BuildRequires: perl(Locale::TextDomain)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
A set of historic maps for prisk.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.112.691-2.mga3
+ Revision: 378210
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 28 2011 jquelin <jquelin> 3.112.691-1.mga2
+ Revision: 149819
- imported package prisk-maps-history

